Update Engagement - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Update Engagement
PUT /v1/engagements/{engagementId}
cURL
curl --request PUT \
--url https://{tenant}.mindbridge.ai/api/v1/engagements/{engagementId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 123,
"name": "<string>",
"auditPeriodEndDate": "2023-12-25",
"accountingPackage": "<string>",
"industry": "<string>",
"engagementLeadId": "<string>",
"emailSubscriptions": {},
"billingCode": "<string>",
"reportingPeriodConfigurationId": "<string>",
"auditorIds": [
"<string>"
]
}
'
Example Code
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/engagements/{engagementId}"
payload = {
"version": 123,
"name": "<string>",
"auditPeriodEndDate": "2023-12-25",
"accountingPackage": "<string>",
"industry": "<string>",
"engagementLeadId": "<string>",
"emailSubscriptions": {},
"billingCode": "<string>",
"reportingPeriodConfigurationId": "<string>",
"auditorIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
version: 123,
name: '<string>',
auditPeriodEndDate: '2023-12-25',
accountingPackage: '<string>',
industry: '<string>',
engagementLeadId: '<string>',
emailSubscriptions: {},
billingCode: '<string>',
reportingPeriodConfigurationId: '<string>',
auditorIds: ['<string>']
})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/engagements/{engagementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/engagements/{engagementId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'version' => 123,
'name' => '<string>',
'auditPeriodEndDate' => '2023-12-25',
'accountingPackage' => '<string>',
'industry' => '<string>',
'engagementLeadId' => '<string>',
'emailSubscriptions' => [],
'billingCode' => '<string>',
'reportingPeriodConfigurationId' => '<string>',
'auditorIds' => ['<string>']
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Success Response
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"organizationId": "<string>",
"name": "<string>",
"billingCode": "<string>",
"libraryId": "<string>",
"accountingPeriod": {
"fiscalStartMonth": 123,
"fiscalStartDay": 123
},
"auditPeriodEndDate": "2023-12-25",
"accountingPackage": "<string>",
"industry": "<string>",
"engagementLeadId": "<string>",
"reportingPeriodConfigurationId": "<string>",
"auditorIds": ["<string>"],
"emailSubscriptions": {}
}